aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLoic Guegan <manzerbredes@mailbox.org>2021-08-22 17:37:21 +0200
committerLoic Guegan <manzerbredes@mailbox.org>2021-08-22 17:37:21 +0200
commit5926688efe7d6832b8d95e9e48a078260b004f9b (patch)
treebb5b9fc59f20547a5f1f186b1a6923e9739ee99d
parentea2cab73263ef66c93e869e1ef66f15f27663c55 (diff)
Add capacity checkHEADmaster
-rwxr-xr-xpool.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/pool.sh b/pool.sh
index b18f545..6fe52b6 100755
--- a/pool.sh
+++ b/pool.sh
@@ -53,6 +53,7 @@ getp() {
create() {
[ -d "$POOL" ] && abort "Pool \"$POOL\" already exists" || :
+ [ ! "$1" -gt 0 ] && abort "Invalid pool capacity $1" || :
mkdir -p "$POOL"
# Write pool status
maxproc=$1